/**
 * 公共方法的封装
  */
import Vue from 'vue'

// 性别
Vue.filter("filterSex", function(val) {	
	if(val == 1){
		return '男';
	}else if(val == 2){
		return '女';
	}else {
	  return '未知';
	}
});

// 链接加时间戳
Vue.filter("timestamp", function(link) {	
	return link + '?t=' + new Date().getTime();
});

// 保留两位小数，自动补充零
Vue.filter("filterToFixed", function(val) {	
 var value=Math.round(parseFloat(val)*100)/100;
 if(!value){return '0'}
 var xsd=value.toString().split(".");
 if(xsd.length==1){
 value=value.toString()+".00";
 return value;
 }
 if(xsd.length>1){
 if(xsd[1].length<2){
 value=value.toString()+"0";
 }
 return value;
 }
})

// 订单状态
Vue.filter("filterOrderState", function(val) {	
	let orderList = ['待支付', '待出库', '待收货', '待评论', '己取消', '己退款', '己完成', '退款中','退款失败']
	return orderList[val]
});

// 结账方式
Vue.filter("filterPayType", function(val) {	
	let payTypeList = ['', '微信', '余额', '积分','农商行支付'];
	return payTypeList[val]
});

// 物流状态
Vue.filter("filterDilevery", function(val) {	
	let dileveryList = ['下单', '揽件', '运输中', '派件中', '签收', '退回', '拒签']
	return dileveryList[val]
});

// 退款状态
Vue.filter("filterRefundState", function(val) {	
	let rundStateList = ['申请中', '退款成功', '退款失败', '退款中']
	return rundStateList[val]
});

// 评分文字
Vue.filter("rateText", function(val) {	
	let rateList = ['很差', '差', '一般', '很好', '非常好']
	return rateList[val-1]
});

// js手机号码中间4位变星星
Vue.filter("hidePhoneNumber", function(val) {	
	return val.replace(/^(\d{3})\d{4}(\d{4})$/, "$1****$2");
});



